# LogFormatter
<span class="source-link">[[Source]](src/logger/logger.md#L143)</span>

Interface required to implement custom log formatting.

* `msg` is the logged message
* `loc` is the location log was called from

See `DefaultLogFormatter` for an example of how to implement a LogFormatter.


```pony
interface val LogFormatter
```

## Public Functions

### apply
<span class="source-link">[[Source]](src/logger/logger.md#L152)</span>


```pony
fun box apply(
  msg: String val,
  loc: SourceLoc val)
: String val
```
#### Parameters

*   msg: [String](builtin-String.md) val
*   loc: [SourceLoc](builtin-SourceLoc.md) val

#### Returns

* [String](builtin-String.md) val

---

